<div style="min-height: 300px; max-height: 1000px;" class="taxonomy-tab">
  <!-- OPTIONS -->
  <div class="taxonomy-tab-options">
    <div>
      <mat-button-toggle-group [(ngModel)]="this.functionDisplayMode"
        style="height: fit-content; margin: auto" name="displayMode" aria-label="Taxonomy Display Mode">
        <mat-button-toggle style="font-size: 0.9rem" [value]="FunctionDisplayMode.EC">EC (Enzyme Catalog)</mat-button-toggle>
        <mat-button-toggle style="font-size: 0.9rem" [value]="FunctionDisplayMode.KO">KO (KEGG Orthology)</mat-button-toggle>
      </mat-button-toggle-group>
    </div>
  </div>
  <!-- EC VIEW -->
  <ng-container *ngIf="this.functionDisplayMode == FunctionDisplayMode.EC">
    <app-function-ec></app-function-ec>
  </ng-container>
  <!-- KO VIEW -->
<ng-container *ngIf="this.functionDisplayMode == FunctionDisplayMode.KO">
  <app-function-ko></app-function-ko>
</ng-container>
